<?php


class DB_PRODUCTSHISTORY
{
    public $DB = false;
    public $tablename = 'productshistory';

    use BASICDB;
    public function __construct($DB = false)
    {
        if (!$DB) {
            $DB = DB();
        }
        if (!$DB) {
            return false;
        }
        if ($DB) {
            $this->DB = $DB;
        }
        if (!$this->tablename) {
            return false;
        }

    }
    function NewProductHistory($data)
    {
        $required = ['available', 'price', 'name', 'description', 'status', 'storeuid'];
        return $this->DefaultDBInsert($data, $required);
    }
}

class DB_PRODUCTSHISTORY_QUICK_MULTIPLESEARCH
{
    use DBClassSearch;
    public $data;

    public $tablename = 'productshistory';

    private $parentidresults = [];


    public function __construct($data = [], $likefields = [], $fieldstoselectarray = '', $orderby = '', $noindex = 0, $whereappend = ' and ', $dateonlyarray = '', $newdata = false)
    {
        return $this->initialize($data, $likefields, $fieldstoselectarray, $orderby, $noindex, $whereappend, $dateonlyarray, $newdata);
    }

    function FindName($uid)
    {
        return $this->Find($fieldname = 'uid', $contenttosearch = $uid, $exact = true)[0]['name'];
    }

}

function DB_PRODUCTSHISTORY($DB = false)
{
    return new DB_PRODUCTSHISTORY($DB);
}
function DB_PRODUCTSHISTORY_QUICK_MULTIPLESEARCH($DB = false)
{
    return new DB_PRODUCTSHISTORY_QUICK_MULTIPLESEARCH($DB);
}